Update Monitoring Address
curl --request PUT \
--url https://api.paxos.com/v2/rewards/monitor/address/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Address name"
}
'import requests
url = "https://api.paxos.com/v2/rewards/monitor/address/{id}"
payload = { "name": "Address name" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Address name'})
};
fetch('https://api.paxos.com/v2/rewards/monitor/address/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"id": "6477f17d-7c17-43a5-84cc-a6a104a89d81",
"address": "0x2D2849217C027494ae0D7Af2fC7f9b798Ddd5aB9",
"crypto_network": "ETHEREUM",
"name": "Address name",
"created_at": "2025-03-21T15:22:05.474383Z"
}
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "name must be set"
}Monitoring Addresses
Update Monitoring Address
deprecated
Updates a monitored address name
PUT
/
rewards
/
monitor
/
address
/
{id}
Update Monitoring Address
The Rewards Engine API replaces this endpoint.New customers should use Update Reward Address instead.
OAuth Scope
rewards:write_monitoring_address
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
UUID direct reference to a particular monitored address.
Body
application/json
Optional display name. Useful for grouping or reporting.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I